@charset "utf-8";

/**
* =================================================================================
* INFORMATION
* ---------------------------------------------------------------------------------
* @Author : Shin Yong Ji
* @File Name : dw.login.css
* @Description : login page style 만 구현한다.
* @Version : 1.0
* @Create Date : 2016.09.06
* @Update Date : N/A
* @History : N/A
===================================================================================
*/

/* // Set background image (pattern) */
*{
	-ms-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
	border: 0;
}

html, body {
	width: 100%;
	height: 100%;
	overflow: hidden;
	font-family: 'Apple SD Gothic Neo', 'NanumGothic', arial, gulim, tahoma, verdana, sans-serif;
}

/* // Start styles in form */
/* -webkit-filter: grayscale(100%); Chrome, Safari, Opera */
/* body.relogin { background-image: url(images/relogin_bg.png); } */
/* body.bg5:after { background-image: url(images/login_bg_05.png); top: 0; content : ""; display: block; position: absolute; width: 100%; height: 100%; opacity : 0.9; z-index: -1; } */
body::after { content: ""; top: 0; left: 0; bottom: 0; right: 0; position: absolute; z-index: -1; background-size:  100% 100%; }
body.bg1::after { background-image: url(images/login_bg_01.png); }
body.bg2::after { background-image: url(images/login_bg_02.png); }
body.bg3::after { background-image: url(images/login_bg_03.png); }
body.bg4::after { background-image: url(images/login_bg_04.png); }
body.opacity::after { opacity: .5; }

.vision { margin: 50px; position: absolute; background: url('images/vision.png') no-repeat; background-size: contain; display: block; width: 700px; height: 200px; }
.vision2025 { right: 0; margin: 40px 50px; position: absolute; background: url('images/vision25.png') no-repeat; background-size: contain; display: block; width: 140px; height: 30px; }
.copyright { line-height: 20px; position: absolute; bottom: 40px; width: 100%; text-align: center; color: #abbccd; font-size: 12px; }
body.opacity .vision { opacity: .5; }
body.opacity .vision2025 { opacity: .5; }

.login {
	position: relative;
	top: 50%;
	width: 350px;
	display: table;
	margin: -150px auto 0 auto;
	background: rgba(255, 255, 255, 1);
	border-radius: 10px;
	border: 7px solid rgba(255, 255, 255, 1);
	-webkit-background-clip: padding-box; /* for Safari */
    background-clip: padding-box; /* for IE9+, Firefox 4+, Opera, Chrome */
}


.legend {
	position: relative;
	width: 100%;
	display: block;
	background: #22588D;
	padding: 15px;
	color: #fff;
	font-size: 20px;
	border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    margin-bottom: 8px
}

.legend:after {
    content: "";
    background-image: url(images/multy-user.png);
    background-size: 100px 100px;
    background-repeat: no-repeat;
    background-position: 232px -16px;
    opacity: 0.06;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
	position: absolute;
}

.input {
  position: relative;
  width: 90%;
  margin: 15px auto;
}

.input span {
    position: absolute;
    display: block;
    color: #d4d4d4;
    left: 10px;
    top: 7px;
    font-size: 20px;
}

.input input {
    width: 100%;
    padding: 10px 5px 10px 40px;
    display: block;
    border: 1px solid #EDEDED;
    border-radius: 4px;
    transition: 0.2s ease-out;
    color: rgba(0, 0, 0, 0.7);
}

.input.disabled {
	opacity: .6;
/* 	color: #d4d4d4; */
}

.input input[name=j_username] {
	text-transform: uppercase;
}

/* input:-webkit-autofill, textarea:-webkit-autofill, select:-webkit-autofill { */
/*     background-color: #fff !important; */
/*     color: darken(#EDEDED, 30%) !important; */
/* } */

.input input:focus {
    padding: 10px 5px 10px 10px;
    outline: 0;
	border-color: #00B3FE;
}

/* only css for ie11 */
html[data-useragent*='Trident/6.0'] .input input:focus,
html[data-useragent*='Trident/5.0'] .input input:focus {
    padding: 10px 5px 10px 40px;
}

.submit {
	width: 45px;
	height: 45px;
	display: block;
	margin: 0 auto -15px auto;
	background: #fff;
	border-radius: 100%;
	border: 1px solid #00B3FE;
	color: #4e73df;
	font-size: 24px;
	cursor: pointer;
	box-shadow: 0px 0px 0px 7px #fff;
	transition: 0.2s ease-out;
}

.submit:hover, .submit:focus {
    background: #4e73df;
    color: #fff;
    outline: 0;
}

.feedback {
	position: absolute;
	bottom: -120px;
	width: 100%;
	text-align: center;
	color: #fff;
	background: #2ecc71;
	padding: 20px 0;
	font-size: 12px;
	display: none;
	opacity: 0;
}

.feedback:before {
    bottom: 100%;
    left: 50%;
    border: solid transparent;
    content: "";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
    border-color: rgba(46, 204, 113, 0);
    border-bottom-color: #2ecc71;
    border-width: 10px;
    margin-left: -10px;
}

/* input:-webkit-autofill { */
/*     -webkit-box-shadow: 0 0 0px 1000px white inset; */
/* 	-webkit-text-fill-color: yellow !important; */
/* } */

.login.ready .submit { background: #2ecc71; border-color: #2ecc71; }
.login.error .submit { background: #FF7052; border-color: #FF7052; }
.login.ready input { border-color: #2ecc71 }
.login.error input { border-color: #FF7052; }
.login.ready .feedback { background: #2ecc71; }
.login.error .feedback { background: #FF7052; }
.login.ready .feedback:before { bottom: 100%; left: 50%; border: solid transparent;	content: ""; height: 0; width: 0; position: absolute; pointer-events: none; border-color: rgba(46, 204, 113, 0); border-bottom-color: #2ecc71; border-width: 10px; margin-left: -10px; }
.login.error .feedback:before { bottom: 100%; left: 50%; border: solid transparent;	content: ""; height: 0; width: 0; position: absolute; pointer-events: none; border-color: rgba(46, 204, 113, 0); border-bottom-color: #FF7052; border-width: 10px; margin-left: -10px; }
.no-selectable { -webkit-touch-callout: none; -webkit-user-select: none; -khtml-user-select: none; -moz-user-select: none; -ms-user-select: none; user-select: none; }